#pragma once
#include "FormTouchButtons.h"

class CellWarsMTManager;

class StartScreen : public Actor
{
public:
	StartScreen(CellWarsMTManager* useThisMTManager);
	virtual ~StartScreen();

	virtual void Update(float dt);
	virtual void Render();
	
	virtual void ReceiveMessage(Message *m);

	virtual void PreDestroy();	
	
	virtual void SetAlpha(float newAlpha);
	virtual void ChangeAlphaTo(const float newAlpha, float duration, bool smooth=false, String onCompletionMessage="");

private:
	static const float BIG_FONT_WIDTH;
	static const float SMALL_FONT_WIDTH;
	
	static const String CREDITS_STRING0;
	static const String CREDITS_STRING1;
	static const String CREDITS_STRING2;
	static const String CREDITS_STRING3;
	static const String CREDITS_STRING4;
	static const String CREDITS_STRING5;

	CellWarsMTManager *useThisMultiTouchTManager;
	StartButton *goButt;
	HelpButton *helpButt;
	ExitButton *exitButt;
	IncreaseVolumeButton *inVolButt;
	DecreaseVolumeButton *deVolButt;
	TextActor *volumeText;
	TextActor *volumeValueText;
	Actor *title;
	TextActor *creditsText;
};